1. 首页>
  2. 资讯中心

【安全预警】OpenCV 缓冲区溢出代码执行漏洞风险通告( CVE-2019-5063/CVE-2019-5064)

腾讯云 2020年01月06日 浏览249

    公司 新闻 腾讯云代理 腾讯云直播申请 游戏上云

摘要:

尊敬的腾讯云客户, 您好:

       近日,腾讯云安全中心监测到开源计算机视觉库 OpenCV 4.1.0 版本被曝存在两个缓冲区溢出漏洞,分别为 CVE-2019-5063 和 CVE-2019-5064 (CVSS评分均高达8.8分),攻击者可构造特定的 XML 或 JSON 文件触发该缓冲区溢出,从而导致代码执行。
       为避免您的业务受影响,腾讯云安全中心建议您及时开展安全自查,如在受影响范围,请您及时进行更新修复,避免被外部攻击者入侵。
 
【漏洞详情】
  OpenCV(开源计算机视觉库)是由英特尔研究院于 1999 年开发的一个开放源代码库,其中包含 2500 多种优化的计算机视觉和机器学习算法,该库广泛用于面部识别技术、机器人技术、运动跟踪和其他应用程序中.
  由于 OpenCV 4.1.0 版本的数据结构持久性功能中存在多个可利用的堆缓冲区溢出漏洞,攻击者可构造特定的 XML 或 JSON 文件触发漏洞从而导致代码执行。
  目前漏洞利用代码已经公开,建议尽快安排升级计划。
【风险等级】
  高风险
 
【漏洞风险】
  远程代码执行
 
【影响版本】
 OpenCV 4.1.0 版本
 
【修复版本】
  OpenCV 4.2.0 版本

【修复建议】
  官方已发布新版本修复该漏洞,腾讯云安全团队建议您升级 OpenCV 到最新版本。
 

【漏洞参考】


相关文章

腾讯云服务器

为企业提供:云服务器/视频/游戏/微信开发/软件/网站/APP…云解决方案

  • QQ群咨询:377986805 咨询电话:15818558013
  • 技术支持:0755-33940501-808 17603077568
  • 产品咨询:0755-33940501-803 15818558013

咨询电话:15818558013

腾讯云代理
15818558013